{
    onDamagingHitOrder: 1,
    onDamagingHit(damage, target, source, move) {
        if (move.flags['wind'] && !target.volatiles['charge']) {
            target.addVolatile('charge');
            this.boost({spd: 1}, target);
        }
    },
    onAllySideConditionStart(target, source, sideCondition) {
        const pokemon = this.effectState.target;
        if (sideCondition.id === 'tailwind' && !pokemon.volatiles['charge']) {
            pokemon.addVolatile('charge');
            this.boost({spd: 1}, pokemon);
        }
    },
    onSourceModifyDamage(damage, source, target, move) {
        if (move.flags['wind']) {
            this.debug('Wind Power - reducing wind move damage');
            return this.chainModify(0.75);
        }
    },
    flags: {},
    name: "Wind Power",
    rating: 1,
    num: 277,
}
